BSDK.NET - BlomURBEX 3D Data Provider Software Development Kit

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

BSDKW::BSDK Class Reference

List of all members.

## Static Public Member Functions
Global information
static string | GetCurrentVersion ()
| Returns BlomURBEX 3D Data Provider SDK version.
Advanced configuration
static BLerror | SetProxySettings (BProxySettings proxySettings)
| Configures web proxy address.
Initialization
static BLerror | Initialize (int maxMemCacheSizeInKB, int maxDiskCacheSizeInKB, string diskCacheDirectory)
| Initializes BlomURBEX 3D Data Provider SDK.
DataLoader creator
static BDataLoader | CreateNewDataLoader ()
| Creates an instance of BSDK::BDataLoader, this instance should be populated with the different datasources and then it will provide the rest of data.
Finalizer
static BLerror | Release ()
| Deallocates and cleans up all resources.
License management
static string | GetMachineID ()
| Returns the current Machine ID.
static string | GetDomainName ()
| Returns the current domain name.
static BLerror | AddLicenseFile (string licenseFilePath, BAttributesReceiver attributesReceiver)
| Adds a license to the BSDK in order to allow user accede local Blom Libraries.
static BLerror | RemoveLicenseFile (string licenseFilename)
| Returns true if all licenses in requested license file are cleared.
static BLerror | ClearAllLicenses ()
| Returns SUCCESS if all Licenses removed successfully.
static string | GetLicense (int licenseIndex)
| Returns the i-th license string.

## Member Function Documentation

static BLerror BSDKW::BSDK::AddLicenseFile | ( | string | licenseFilePath,
|  | BAttributesReceiver | attributesReceiver
| ) |  | `[inline, static]`

Adds a license to the BSDK in order to allow user accede local Blom Libraries.

Parameters:

  licenseFilePath | path of license files
  attributesReceiver | Object that will receive which licenses were founod, and the expiration date.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BSDK::BAttributesReader

static BLerror BSDKW::BSDK::ClearAllLicenses | ( |  | ) | `[inline, static]`

Returns SUCCESS if all Licenses removed successfully.

Returns:
  Returns 0 if success, and a non-zero otherwise

static BDataLoader BSDKW::BSDK::CreateNewDataLoader | ( |  | ) | `[inline, static]`

Creates an instance of BSDK::BDataLoader, this instance should be populated with the different datasources and then it will provide the rest of data.

User should deallocate this object using delete operator.

Returns:
  Returns a valid BDataLoader

static string BSDKW::BSDK::GetCurrentVersion | ( |  | ) | `[inline, static]`

Returns BlomURBEX 3D Data Provider SDK version.

Returns:
  Returns an string containing the current BSDK version.

See also:
  BEventListener

static string BSDKW::BSDK::GetDomainName | ( |  | ) | `[inline, static]`

Returns the current domain name.

Returns:
  Returns the current domain name.

static string BSDKW::BSDK::GetLicense | ( | int | licenseIndex | ) | `[inline, static]`

Returns the i-th license string.

Parameters:

  licenseIndex | Requested index

Returns:
  Returns the license at the given index, if license is out of bounds it will return safely 0

static string BSDKW::BSDK::GetMachineID | ( |  | ) | `[inline, static]`

Returns the current Machine ID.

Returns:
  Returns the current Machine ID.

static BLerror BSDKW::BSDK::Initialize | ( | int | maxMemCacheSizeInKB,
|  | int | maxDiskCacheSizeInKB,
|  | string | diskCacheDirectory
| ) |  | `[inline, static]`

Initializes BlomURBEX 3D Data Provider SDK.

Parameters:

  maxMemCacheSizeInKB | Maximum RAM memory cache size (in KB)
  maxDiskCacheSizeInKB | Maximum disk cache size (in KB)
  diskCacheDirectory | Cache folder

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BAbstractExecutor

static BLerror BSDKW::BSDK::Release | ( |  | ) | `[inline, static]`

Deallocates and cleans up all resources.

static BLerror BSDKW::BSDK::RemoveLicenseFile | ( | string | licenseFilename | ) | `[inline, static]`

Returns true if all licenses in requested license file are cleared.

Parameters:

  licenseFilename | name of the license file o be removed

Returns:
  Returns 0 if success, and a non-zero otherwise

static BLerror BSDKW::BSDK::SetProxySettings | ( | BProxySettings | proxySettings | ) | `[inline, static]`

Configures web proxy address.

This functions should be called before any other function.

Parameters:

  proxySettings | Proxy settings class implemented by the user

Returns:
  Returns 0 if success, and a non-zero otherwise

The documentation for this class was generated from the following file:

- BSDK.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events